Subject: [MMUSIC] draft-thornburgh-rtmfp-flash notice and feedback request

From: Michael Thornburgh <[email-masked]>
Date: Thu, 1 May 2014 22:11:27 +0000

hi MMUSIC folks.

just over a year ago, i notified this working group of the existence of an I-D describing Adobe's RTMFP, a general purpose endpoint-to-endpoint transport protocol designed for real-time and P2P communication.  it is deployed widely in the Internet as part of Flash and other software.  in particular, it is used to transport live, low-latency audio, video, and data P2P in Flash.  it has since been published as RFC 7016.

recently i submitted a new companion I-D, "Adobe's RTMFP Profile for Flash Communication", that describes how RTMFP (the generic protocol) is used to transport the video, audio, and data messages of real-time and P2P communications in Flash, including the concrete RFC 7016 "Cryptography Profile" for Flash.  this new specification illustrates a practical application of RTMFP, which can also help folks understand how to apply RTMFP's capabilities to use cases other than Flash communication.

i realize this material isn't in MMUSIC's charter.  however, this material pertains directly to live multimedia communication practiced in the Internet today, and therefore may be relevant, or of interest, to some participants of this working group.

we will eventually be submitting this specification to the Independent Submission Editorial Board for publication as an Informational RFC.  to that end i am soliciting feedback, comments, and reviews of this I-D to help us improve its quality, readability, implementability, etc.

---
Name:           draft-thornburgh-rtmfp-flash
Revision:       00
Title:          Adobe's RTMFP Profile for Flash Communication
Document date:  2014-04-14
Group:          Individual Submission
Pages:          45
URL:            http://www.ietf.org/internet-drafts/draft-thornburgh-rtmfp-flash-00.txt
Status:         https://datatracker.ietf.org/doc/draft-thornburgh-rtmfp-flash/
Htmlized:       http://tools.ietf.org/html/draft-thornburgh-rtmfp-flash-00
IPR:            https://datatracker.ietf.org/ipr/2345/

Abstract:
   This memo describes how to use Adobe's Secure Real-Time Media Flow
   Protocol (RTMFP) to transport the video, audio, and data messages of
   Adobe Flash platform communications.  Aspects of this application
   profile include cryptographic methods and data formats, flow metadata
   formats, and protocol details for client-server and peer-to-peer
   communication.
---

thank you.

-michael thornburgh